Bug 1001558 - Icons are not removed by uninstallation (windows - Chinese, Japanese)
Icons are not removed by uninstallation (windows - Chinese, Japanese)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.1.1
Unspecified Windows
unspecified Severity medium
: ER1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 05:43 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-08-27 05:43:37 EDT
Description of problem:
Icons created by installer in Chinese or Japanese are not removed by uninstaller.jar. 

Version-Release number of selected component (if applicable):
6.1.1 ER7

Steps to Reproduce:
1. Run installer jar
2. Choose chinese or japanese on language selection dialog (you may change name of start menu icons group, result is the same)
3. Uninstall EAP

Actual results:
Start menu icon group is not removed

Expected results:
Start menu icon group is removed

Additional info:
 - Solaris and RHEL are OK. 
 - EAP is uninstalled successfully, only thing that is not removed are icons,
Comment 1 Miles Tjandrawidjaja 2013-08-28 09:13:59 EDT
Hello,

The following has been patched.
Icons created by installer in Chinese are Japanese should now be removed by the uninstaller.jar.

http://git.app.eng.bos.redhat.com/?p=izpack.git;a=commit;h=e5f81944b95918885890e01a7ee8693b85c7e0aa
Comment 2 Petr Kremensky 2013-09-13 08:21:13 EDT
Verified on EAP 6.2.0.ER1

Note You need to log in before you can comment on or make changes to this bug.